%global pkg_name python-docx
%global pname docx
%global commit 1d4f9bcb60fc391a6f2bce2e2ad5c8a3b615b366
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		%{pkg_name}
Version:	0.8.2
Release:	1%{?dist}
Summary:	Create and update Microsoft Word .docx files

License:	MIT
URL:		https://github.com/python-openxml/python-docx
Source0:	https://github.com/python-openxml/%{pkg_name}/archive/%{commit}/%{pkg_name}-%{commit}.tar.gz
BuildArch:	noarch
 
BuildRequires:	python-devel
BuildRequires:	python-lxml

# test requirements
BuildRequires:	python-behave	>= 1.2.3
BuildRequires:	pyparsing		>= 2.0.1
BuildRequires:	python-mock		>= 1.0.1
BuildRequires:	python-flake8	>= 2.0


%if 0%{?fedora} >=21
BuildRequires:	pytest		>= 2.5
%else
BuildRequires:	pytest
%endif

%description
Python library for creating and updating Microsoft Word (.docx) files.

%prep
%setup -qn %{pkg_name}-%{commit}
# Remove bundled egg-info
rm -rf python_%{pname}.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
py.test
behave --stop

%files
%doc README.rst 
%license LICENSE
%{python2_sitelib}/%{pname}
%{python2_sitelib}/python_%{pname}-%{version}-py?.?.egg-info

%changelog
* Fri Feb 20 2015 Kushal Khandelwal <kushal124@gmail.com> - 0.8.2-1
- Initial package.
